local _, addon = ...
local TCL = addon.TomCatsLibs
TCL.Charms.scope = "account"

local function toggleUI()

end

local function ADDON_LOADED(_, _, arg1)
    if (arg1 == addon.name) then
        TCL.Events.UnregisterEvent("ADDON_LOADED", ADDON_LOADED)
        AP = addon.savedVariables.account.preferences
        addon.charm = TCL.Charms.Create({
            name = "TomCats-ChildrensWeekMinimapButton",
            iconTexture = "Interface\\AddOns\\TomCats-ChildrensWeek\\images\\cw-icon",
            backgroundColor = { 0.0,0.0,0.0,1.0 },
            handler_onclick = toggleUI
        })
        addon.charm.tooltip = {
            Show = function(this)
                GameTooltip:ClearLines()
                GameTooltip:SetOwner(this, "ANCHOR_LEFT")
                GameTooltip:SetText("TomCat's Tours:", 1, 1, 1)
                GameTooltip:AddLine("Children's Week", nil, nil, nil, true)
                GameTooltip:AddLine(" ", nil, nil, nil, true)
                GameTooltip:AddLine("Keep your addons updated for more features as they are added", nil, nil, nil, true)
                GameTooltip:Show()
            end,
            Hide = function()
                GameTooltip:Hide()
            end
        }
        if ("1.0.0" ~= AP["lastVersionSeen"]) then
            --addon.charm.MinimapLoopPulseAnim:Play()
        end
    end
end

TCL.Events.RegisterEvent("ADDON_LOADED", ADDON_LOADED)
